unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, ModPlugPlayer, ComCtrls;

type
  TForm1 = class(TForm)
    Button1: TButton;
    TrackBar1: TTrackBar;
    TrackBar2: TTrackBar;
    TrackBar3: TTrackBar;
    ModPlugPlayer1: TModPlugPlayer;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    RadioButton5: TRadioButton;
    Panel1: TPanel;
    Bevel1: TBevel;
    Label1: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    TrackBar4: TTrackBar;
    Timer1: TTimer;
    CheckBox3: TCheckBox;
    Button2: TButton;
    Button3: TButton;
    procedure Button1Click(Sender: TObject);
    procedure TrackBar1Change(Sender: TObject);
    procedure CheckBox2Click(Sender: TObject);
    procedure ModPlugPlayer1Load(Sender: TObject);
    procedure Timer1Timer(Sender: TObject);
    procedure TrackBar4Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.Button1Click(Sender: TObject);
begin
{if it checked then bla-bla.. i think  you understand this :) }
modplugplayer1.SpectrumHide:=checkbox3.checked;
modplugplayer1.SpectrumStereo:=checkbox1.checked;
{here we initializing the player, and opening the song}
modplugplayer1.init;
modplugplayer1.open;
{there is bug in the dll: when u changing stereo or mono spectrum it draw the
 Control buttons twice.. I'll report to DLL Creator}
end;

procedure TForm1.TrackBar1Change(Sender: TObject);
begin
{here we set color for the player}
{if checked "back" then backcolor:=RRGGBB, R =RED, G = Green, B = Blue}
{evry thing in hex format, Max = FFFFFF, min = 000000}
if radiobutton1.checked then modplugplayer1.backColor:=inttohex(trackbar1.position,2)+inttohex(trackbar2.position,2)+
   inttohex(trackbar3.position,2);
{if checked "VU" then VUcolor:=RRGGBB, R =RED, G = Green, B = Blue}
{evry thing in hex format, Max = FFFFFF, min = 000000}
if radiobutton2.checked then modplugplayer1.VUColor:=inttohex(trackbar1.position,2)+inttohex(trackbar2.position,2)+
   inttohex(trackbar3.position,2);
{if checked "VU TOP" then VUColorTop:=RRGGBB, R =RED, G = Green, B = Blue}
{evry thing in hex format, Max = FFFFFF, min = 000000}
if radiobutton3.checked then modplugplayer1.VUColorTop:=inttohex(trackbar1.position,2)+inttohex(trackbar2.position,2)+
   inttohex(trackbar3.position,2);
{if checked "SP" then SPcolor:=RRGGBB, R =RED, G = Green, B = Blue}
{evry thing in hex format, Max = FFFFFF, min = 000000}
if radiobutton4.checked then modplugplayer1.SPColor:=inttohex(trackbar1.position,2)+inttohex(trackbar2.position,2)+
   inttohex(trackbar3.position,2);
{if checked "SP Top" then SPColorTop:=RRGGBB, R =RED, G = Green, B = Blue}
{evry thing in hex format, Max = FFFFFF, min = 000000}
if radiobutton5.checked then modplugplayer1.SPColorTop:=inttohex(trackbar1.position,2)+inttohex(trackbar2.position,2)+
   inttohex(trackbar3.position,2);
{we want to see, what color we get by moving RGB tracks, don't we?}
panel1.color:=colorref(rgb(trackbar1.position,trackbar2.position,trackbar3.position));
{in this label you can see what value placed in the color property}
label1.caption:= inttohex(trackbar1.position,2)+inttohex(trackbar2.position,2)+   inttohex(trackbar3.position,2);

end;

procedure TForm1.CheckBox2Click(Sender: TObject);
begin
{hide or show player}
modplugplayer1.visible:=checkbox2.checked;
end;

procedure TForm1.ModPlugPlayer1Load(Sender: TObject);
begin
{get length of song}
trackbar4.max:=modplugplayer1.getlength;
end;

procedure TForm1.Timer1Timer(Sender: TObject);
begin
{to seek or not to seek? this is the question! :) }
modplugplayer1.seek:=false;
{Let see... where we are in the song?..}
trackbar4.position:=modplugplayer1.getposition;
{Ok, I good today, let it seek!}
modplugplayer1.seek:=true;
end;

procedure TForm1.TrackBar4Change(Sender: TObject);
begin
{if seek is allowed then change our position inside the song}
  if modplugplayer1.Seek then modplugplayer1.Setposition(trackbar4.Position);
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
{GROOOOOOOOVY}
modplugplayer1.play;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
{stop the song}
modplugplayer1.stop;
end;

end.
